Java library should depend on jre-headless rather than -jre

Bug #387884 reported by Thierry Carrez on 2009-06-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
asm (Ubuntu)
Undecided
Unassigned
asm2 (Ubuntu)
Undecided
Unassigned
avalon-framework (Ubuntu)
Undecided
Unassigned
bouncycastle (Ubuntu)
Undecided
Thierry Carrez
c3p0 (Ubuntu)
Undecided
Unassigned
cglib2.1 (Ubuntu)
Undecided
Unassigned
commons-io (Ubuntu)
Undecided
Unassigned
ivy (Ubuntu)
Undecided
Thierry Carrez
janino (Ubuntu)
Undecided
Unassigned
javassist (Ubuntu)
Undecided
Unassigned
junit4 (Ubuntu)
Undecided
Unassigned
libcommons-cli-java (Ubuntu)
Undecided
Unassigned
libcommons-fileupload-java (Ubuntu)
Undecided
Unassigned
libezmorph-java (Ubuntu)
Undecided
Unassigned
libgnuinet-java (Ubuntu)
Undecided
Unassigned
libhamcrest-java (Ubuntu)
Undecided
Unassigned
libjettison-java (Ubuntu)
Undecided
Unassigned
libslf4j-java (Ubuntu)
Undecided
Unassigned
libxml-security-java (Ubuntu)
Undecided
Unassigned
libxstream-java (Ubuntu)
Undecided
Unassigned
mockobjects (Ubuntu)
Undecided
Unassigned
qdox (Ubuntu)
Undecided
Unassigned
xml-commons-external (Ubuntu)
Undecided
Unassigned

Bug Description

Lots of Java libraries should depend on "default-jre-headless | java2-runtime-headless" rather than default-jre or java2-runtime.

This is especially necessary when those libraries are used as dependency of a pure server package like tomcat6 or eucalyptus, so as to avoid pulling in a useless full JRE, complete with X libraries, on a server system.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libcommons-cli-java - 1.1-3ubuntu1

---------------
libcommons-cli-java (1.1-3ubuntu1) karmic; urgency=low

  * debian/control: Set libcommons-cli-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Tue, 16 Jun 2009 15:15:53 +0200

Changed in libcommons-cli-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package commons-io - 1.4-1ubuntu1

---------------
commons-io (1.4-1ubuntu1) karmic; urgency=low

  * debian/control: Set libcommons-io-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Tue, 16 Jun 2009 15:24:31 +0200

Changed in commons-io (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libcommons-fileupload-java - 1.2.1-1ubuntu1

---------------
libcommons-fileupload-java (1.2.1-1ubuntu1) karmic; urgency=low

  * debian/control: Set libcommons-fileupload-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Tue, 16 Jun 2009 15:29:30 +0200

Changed in libcommons-fileupload-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cglib2.1 - 2.1.3.dfsg.2-1ubuntu1

---------------
cglib2.1 (2.1.3.dfsg.2-1ubuntu1) karmic; urgency=low

  * debian/control: Set libcglib2.1-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Tue, 16 Jun 2009 15:34:45 +0200

Changed in cglib2.1 (Ubuntu):
status: New → Fix Released
Thierry Carrez (ttx) on 2009-06-18
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package asm2 - 2.2.3-2ubuntu1

---------------
asm2 (2.2.3-2ubuntu1) karmic; urgency=low

  * debian/control: Set libasm2-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 13:42:39 +0200

Changed in asm2 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package asm - 1.5.3-5ubuntu1

---------------
asm (1.5.3-5ubuntu1) karmic; urgency=low

  * debian/control: Set libasm-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 13:49:26 +0200

Changed in asm (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avalon-framework - 4.2.0-4ubuntu1

---------------
avalon-framework (4.2.0-4ubuntu1) karmic; urgency=low

  * debian/control: Set libavalon-framework-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 13:55:47 +0200

Changed in avalon-framework (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package janino - 2.5.15-1ubuntu1

---------------
janino (2.5.15-1ubuntu1) karmic; urgency=low

  * debian/control: Set janino runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 14:02:18 +0200

Changed in janino (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package javassist - 1:3.10-1ubuntu1

---------------
javassist (1:3.10-1ubuntu1) karmic; urgency=low

  * debian/control: Set libjavassist-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 14:11:39 +0200

Changed in javassist (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package junit4 - 4.6-1ubuntu1

---------------
junit4 (4.6-1ubuntu1) karmic; urgency=low

  * debian/control: Set junit4 runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 14:17:21 +0200

Changed in junit4 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mockobjects - 0.09-3ubuntu1

---------------
mockobjects (0.09-3ubuntu1) karmic; urgency=low

  * debian/control: Set libmockobjects-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 14:23:07 +0200

Changed in mockobjects (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxml-security-java - 1.4.2-1ubuntu2

---------------
libxml-security-java (1.4.2-1ubuntu2) karmic; urgency=low

  * debian/control: Set libxml-security-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 14:37:56 +0200

Changed in libxml-security-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxstream-java - 1.3.1-1ubuntu1

---------------
libxstream-java (1.3.1-1ubuntu1) karmic; urgency=low

  * debian/control: Set libxstream-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 14:44:21 +0200

Changed in libxstream-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qdox - 1.6.1-3ubuntu1

---------------
qdox (1.6.1-3ubuntu1) karmic; urgency=low

  * debian/control: Set libqdox-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 15:03:42 +0200

Changed in qdox (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xml-commons-external - 1.3.04-2ubuntu1

---------------
xml-commons-external (1.3.04-2ubuntu1) karmic; urgency=low

  * debian/control: Set libxml-commons-external-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 15:13:17 +0200

Changed in xml-commons-external (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libslf4j-java - 1.5.8-1ubuntu1

---------------
libslf4j-java (1.5.8-1ubuntu1) karmic; urgency=low

  * debian/control: Set libslf4j-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)

 -- Thierry Carrez <email address hidden> Thu, 18 Jun 2009 15:23:25 +0200

Changed in libslf4j-java (Ubuntu):
status: New → Fix Released
Thierry Carrez (ttx) on 2009-07-03
Changed in bouncycastle (Ubuntu):
assignee: nobody → Thierry Carrez (ttx)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bouncycastle - 1.39-2ubuntu3

---------------
bouncycastle (1.39-2ubuntu3) karmic; urgency=low

  * debian/control: Use -headless JRE dependencies (LP: #387884, #337842)
  * debian/control: Only suggest libbcprov-java-gcj on selected architectures,
    build libbcprov-java architecture "any" to have it work (LP: #386307)

 -- Thierry Carrez <email address hidden> Fri, 03 Jul 2009 13:55:51 +0200

Changed in bouncycastle (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package c3p0 - 0.9.1.2-2ubuntu1

---------------
c3p0 (0.9.1.2-2ubuntu1) karmic; urgency=low

  * Fix FTBFS in Ubuntu due to incompatibility with openjdk-6 for building:
    - debian/control: Build depend on gcj-jdk rather than default-jdk
    - debian/rules: set back JAVA_HOME to /usr/lib/jvm/java-gcj
  * debian/control: Use -headless JRE dependencies (LP: #387884)

 -- Thierry Carrez <email address hidden> Fri, 03 Jul 2009 14:35:09 +0200

Changed in c3p0 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libhamcrest-java - 1.1-2ubuntu1

---------------
libhamcrest-java (1.1-2ubuntu1) karmic; urgency=low

  * debian/control: Use -headless JRE dependencies (LP: #387884)

 -- Thierry Carrez <email address hidden> Fri, 03 Jul 2009 14:55:51 +0200

Changed in libhamcrest-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libjettison-java - 1.1-1ubuntu1

---------------
libjettison-java (1.1-1ubuntu1) karmic; urgency=low

  * debian/control: Runtime dependency on -headless JREs (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Fri, 03 Jul 2009 15:05:02 +0200

Changed in libjettison-java (Ubuntu):
status: New → Fix Released
Thierry Carrez (ttx) on 2009-07-27
Changed in ivy (Ubuntu):
assignee: nobody → Thierry Carrez (ttx)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ivy - 2.1.0~rc1-1ubuntu1

---------------
ivy (2.1.0~rc1-1ubuntu1) karmic; urgency=low

  * debian/control:
    - Switch ivy runtime dependency to -headless runtimes (LP: #387884)
    - Remove unneeded ivy-doc runtime dependency on a JRE.

 -- Thierry Carrez <email address hidden> Mon, 27 Jul 2009 10:15:50 +0200

Changed in ivy (Ubuntu):
status: In Progress → Fix Released
Thierry Carrez (ttx) wrote :

The issue with libgnuinet is more a typo in Depends than a missing -headless depend.

Changed in libgnuinet-java (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libezmorph-java - 1.0.6-1ubuntu1

---------------
libezmorph-java (1.0.6-1ubuntu1) karmic; urgency=low

  * debian/control: Set libezmorph-java runtime dependency on
    "default-jre-headless | java2-runtime-headless" (LP: #387884)
  * debian/control, debian/rules: Build-depend on default-jdk

 -- Thierry Carrez <email address hidden> Mon, 27 Jul 2009 10:24:36 +0200

Changed in libezmorph-java (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers